Bug 13799 - samba-tool domain schemaupgrade uses relax control and skips the schemaInfo update
samba-tool domain schemaupgrade uses relax control and skips the schemaInfo u...
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: AD: LDB/DSDB/SAMDB
4.10.0rc2
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on: 13883 12204
Blocks:
  Show dependency treegraph
 
Reported: 2019-02-20 19:20 UTC by Stefan Metzmacher
Modified: 2019-06-20 09:38 UTC (History)
3 users (show)

See Also:


Attachments
Patches for v4-10-test (14.25 KB, patch)
2019-04-17 21:19 UTC, Stefan Metzmacher
metze: review? (abartlet)
garming: review+
Details
Patches for v4-9-test (without test) (9.13 KB, patch)
2019-04-17 21:20 UTC, Stefan Metzmacher
metze: review? (abartlet)
garming: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Metzmacher 2019-02-20 19:20:57 UTC
The schemaInfo attribute on the schema partition is not updated when
'samba-tool domain schemaupgrade' is called as is uses the relax control.
This should not use the relax control and the samldb module should not
skip the schemaInfo update when the relax control is used and a schema is already available.

We need tests to demonstrate that any schema change triggers the
schemaInfo attribute update.

We may also need dbcheck code to fix that mistake.
Comment 1 Stefan Metzmacher 2019-04-17 21:19:12 UTC
Created attachment 15079 [details]
Patches for v4-10-test
Comment 2 Stefan Metzmacher 2019-04-17 21:20:51 UTC
Created attachment 15080 [details]
Patches for v4-9-test (without test)

samdb: test for schemainfo update with relax control
e34abefb77729330cd48bc039c82b03fe545f8a9
can't be backported easily
Comment 3 Karolin Seeger 2019-06-04 09:14:25 UTC
Pushed to autobuild-v4-{9,10}-test.
Comment 4 Karolin Seeger 2019-06-20 09:38:09 UTC
(In reply to Karolin Seeger from comment #3)
Pushed to both branches.
Closing out bug report.

Thanks!